(* 
 * Copyright (c) 2001 The University of Wroclaw.
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: gontbind.mli,v 1.10 2001/11/27 03:51:56 malekith Exp $
 *
 * Module interface: Gontbind
 * Description:
 *)

open Gontutil

type ctx

val init_bind : (* module name *) string -> ctx

(* Modify decl in place, adding symbol entries to Ref terms. This musn't be
 * called more then once in a toplevel symbol (i.e. don't call it for local
 * functions). *)
val bind : ctx -> decl -> ctx

(* Return list of symbols, at given scoping level, that needs to put into the
 * closure becouse they are referenced in stmts. *)
val closure : int -> stmt -> (bool * symbol list)
;;
